<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2023 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 *  If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Core\Html;

use _JchOptimizeVendor\Psr\Http\Message\UriInterface;

interface HtmlElementInterface
{
    public function attribute(string $name, string $value = '', string $delimiter = '"'): static;

    public function hasAttribute(string $name): bool;

    public function attributeValue(string $name): UriInterface|array|string|bool;

    public function remove(string $name): static;

    public function addChild(HtmlElementInterface|string $child): static;

    public function addChildren(array $children): static;

    public function hasChildren(): bool;

    public function replaceChild(int $index, $child): static;

    public function render(): string;
}
